#include "driver.h"
#include "i2c/ina233.h"
#include "i2c_bus.h"
#include "three_chip_v1.h"

extern void soc_init();

struct ina233_calib_data cal = {.mfr_calib_reg = 0x1400};
struct config_item ina1_config_items[1];
DECLARE_I2C_DEVICE(ina1, CONFIG_INA233_ADDRESS, &cal);

void board_init() {
    /* initialize the soc internal drivers */
    soc_init();

    driver_init();

    /* attach i2c device drivers to their respective busses */
    struct i2c_bus_driver* bus = (struct i2c_bus_driver*)driver_lookup("akida_i2c");

    /* there is 1 ina233 in the rev1.0 board */
    void* interface = interface_lookup("ina233");
    i2c_attach(bus, &ina1, interface, ina1_config_items);
}
